package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.DataElement;
import com.ynet.gene.data.DataField;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.TEntity;
import com.ynet.life.base.Trace;
import com.ynet.life.cache.Cache;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/OpBsnDataMapAction.class */
public class OpBsnDataMapAction extends LifeAction {
    private String fieldName;
    private String[] fieldNameArray;
    private int opType;
    private int scope;
    private int useSessionList;
    private Map bsnDataMap;
    private boolean modifyFlag = false;

    public String execute(Context context) throws GENEException {
        int size;
        String dataName;
        try {
            String key = null;
            String cacheServiceFlag = LifeStandard.getSelfDefineSettingsValue("cacheServiceFlag");
            if ("true".equals(cacheServiceFlag)) {
                String bankId = (String) context.getDataValue(TEntity.bankIdFieldName);
                String channel = (String) context.getDataValue(TEntity.channelFieldname);
                String customerId = (String) context.getDataValue(TEntity.customerIdFieldname);
                if (this.scope == 1) {
                    key = String.valueOf(bankId) + "_" + channel + "_" + customerId;
                }
                if (this.scope == 2) {
                    String userId = (String) context.getDataValue(TEntity.userIdFieldname);
                    key = String.valueOf(bankId) + "_" + channel + "_" + customerId + "_" + userId;
                }
                Cache cache = LifeStandard.getCache("bsnData_cache");
                this.bsnDataMap = (Map) cache.get(key);
                if (this.bsnDataMap == null) {
                    this.bsnDataMap = new HashMap();
                }
            } else {
                try {
                    this.bsnDataMap = (Map) context.getDataValue(TEntity.BSN_DATA_MAP);
                } catch (Exception unused) {
                    this.bsnDataMap = new HashMap();
                }
            }
            if (this.opType == 1) {
                this.modifyFlag = true;
                List list = null;
                if (this.useSessionList == 1) {
                    if (this.scope == 1) {
                        list = TEntity.PB_SESSION_LIST;
                    }
                    if (this.scope == 2) {
                        list = TEntity.CB_SESSION_LIST;
                    }
                    size = list.size();
                } else {
                    size = this.fieldNameArray.length;
                }
                for (int i = 0; i < size; i++) {
                    if (this.useSessionList == 1) {
                        dataName = (String) list.get(i);
                    } else {
                        dataName = this.fieldNameArray[i];
                    }
                    try {
                        DataElement dataElement = context.getDataElement(dataName);
                        Object dataValue = null;
                        if (dataElement instanceof IndexedCollection) {
                            dataValue = context.get(dataName);
                        }
                        if (dataElement instanceof DataField) {
                            dataValue = context.getDataValue(dataName);
                        }
                        this.bsnDataMap.put(dataName, dataValue);
                    } catch (Exception unused2) {
                    }
                }
            } else if (this.opType == 2) {
                int size2 = this.fieldNameArray.length;
                this.modifyFlag = true;
                for (int i2 = 0; i2 < size2; i2++) {
                    this.bsnDataMap.remove(this.fieldNameArray[i2]);
                }
            } else if (this.opType == 3) {
                int size3 = this.fieldNameArray.length;
                this.modifyFlag = true;
                for (int i3 = 0; i3 < size3; i3++) {
                    String dataName2 = this.fieldNameArray[i3];
                    try {
                        DataElement dataElement2 = context.getDataElement(dataName2);
                        Object dataValue2 = null;
                        if (dataElement2 instanceof IndexedCollection) {
                            dataValue2 = context.get(dataName2);
                        }
                        if (dataElement2 instanceof DataField) {
                            dataValue2 = context.getDataValue(dataName2);
                        }
                        this.bsnDataMap.put(dataName2, dataValue2);
                    } catch (Exception unused3) {
                    }
                }
            } else {
                int size4 = this.fieldNameArray.length;
                this.modifyFlag = false;
                for (int i4 = 0; i4 < size4; i4++) {
                    String dataName3 = this.fieldNameArray[i4];
                    Object dataValue3 = this.bsnDataMap.get(dataName3);
                    context.put(dataName3, dataValue3);
                }
            }
            if (this.modifyFlag) {
                if ("true".equals(cacheServiceFlag)) {
                    LifeStandard.getCache("bsnData_cache").put(key, this.bsnDataMap);
                } else {
                    context.put(TEntity.BSN_DATA_MAP, this.bsnDataMap);
                }
            }
            context.put(TEntity.MODIFY_CACHE_OR_SESSION_FALG, String.valueOf(this.modifyFlag));
            return "0";
        } catch (GENEException empe) {
            Trace.logError("LifeAction", empe.getMessage(), empe);
            throw empe;
        }
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
        this.fieldNameArray = this.fieldName.split("\\|");
    }

    public void setOpType(int opType) {
        this.opType = opType;
    }

    public void setScope(int scope) {
        this.scope = scope;
    }

    public void setUseSessionList(int useSessionList) {
        this.useSessionList = useSessionList;
    }
}
